import { GeoSceneObjectCameraController } from "vtxf-xe2/dist-node/xe2-base-objects";
import { ESSceneObject, PickedInfo } from "vtxf-xe2/dist-node/xe2-base-objects";
import { Event, Listener, PartialWithUndefinedReactivePropsToNativeProps, ReactivePropsToNativePropsAndChanged } from "vtxf-xe2/dist-node/xe2-base-utils";
import { XbsjModelWithPath } from "./XbsjModelWithPath";
import { XbsjTailFlame } from "./XbsjTailFlame";
export declare class XbsjMissile extends ESSceneObject {
    static readonly type: string;
    get typeName(): string;
    get defaultProps(): {
        xbsjModelWithPath_showPoi: boolean | undefined;
        xbsjModelWithPath_textBackgroundColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        xbsjModelWithPath_maximumScale: number | undefined;
        xbsjModelWithPath_localRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjModelWithPath_localScale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjModelWithPath_duration: number | undefined;
        xbsjModelWithPath_width: number;
        xbsjModelWithPath_ground: boolean;
        xbsjModelWithPath_hasDash: boolean;
        xbsjModelWithPath_gapColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
        xbsjModelWithPath_dashLength: number;
        xbsjModelWithPath_dashPattern: number;
        xbsjModelWithPath_hasArrow: boolean;
        xbsjModelWithPath_leadTime: number;
        xbsjModelWithPath_trailTime: number;
        xbsjModelWithPath_showOnlyWithPath: boolean | undefined;
        xbsjModelWithPath_pathUri: string | undefined;
        xbsjModelWithPath_offsetTime: number | undefined;
        xbsjTailFlame_angle: number | undefined;
        xbsjTailFlame_startRadius: number | undefined;
        xbsjTailFlame_endRadius: number | undefined;
        xbsjTailFlame_height: number | undefined;
        xbsjTailFlame_image: string | undefined;
        xbsjTailFlame_scale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjTailFlame_maximumScale: number | undefined;
        xbsjTailFlame_localPosition: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjTailFlame_localRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjTailFlame_localScale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        show: boolean | undefined;
        cameraTracked: boolean | undefined;
        cameraTracked_viewerDistance: number | undefined;
        cameraTracked_offsetRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        allowPicking: boolean | undefined;
        playerId: string | undefined;
        startFlameTime: number | undefined;
        stopFlameTime: number | undefined;
        xbsjModelWithPath_uri: string | undefined;
        xbsjModelWithPath_minimumScale: number | undefined;
        xbsjModelWithPath_pixelSize: number | undefined;
        xbsjModelWithPath_originRatioAndOffset: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        xbsjModelWithPath_localPosition: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjModelWithPath_color: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        xbsjModelWithPath_depthTest: boolean | undefined;
        xbsjTailFlame_minimumScale: number | undefined;
        xbsjTailFlame_pixelSize: number | undefined;
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<import("vtxf-xe2/dist-node/xe2-base-utils").JsonValue>;
    };
    private _xbsjModelWithPath;
    get xbsjModelWithPath(): XbsjModelWithPath;
    private _xbsjTailFlame;
    get xbsjTailFlame(): XbsjTailFlame;
    private _geoSceneObjectCameraController;
    get geoSceneObjectCameraController(): GeoSceneObjectCameraController;
    get json(): JsonType;
    set json(value: JsonType);
    private _flyToEvent;
    get flyToEvent(): Listener<[number | undefined]>;
    flyTo(duration?: number): void;
    private _pickedEvent;
    get pickedEvent(): Event<[PickedInfo]>;
    get position(): [number, number, number] | undefined;
    get positionChanged(): Listener<[[number, number, number] | undefined, [number, number, number] | undefined]>;
    get rotation(): [number, number, number];
    get rotationChanged(): Listener<[[number, number, number], [number, number, number]]>;
    constructor(id?: string);
    getProperties(language?: string): import("vtxf-xe2/dist-node/xe2-base-objects").Property[];
}
declare const extraComponentProps: {
    xbsjModelWithPath_showPoi: boolean | undefined;
    xbsjModelWithPath_textBackgroundColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
    xbsjModelWithPath_maximumScale: number | undefined;
    xbsjModelWithPath_localRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
    xbsjModelWithPath_localScale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
    xbsjModelWithPath_duration: number | undefined;
    xbsjModelWithPath_width: number;
    xbsjModelWithPath_ground: boolean;
    xbsjModelWithPath_hasDash: boolean;
    xbsjModelWithPath_gapColor: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number]>;
    xbsjModelWithPath_dashLength: number;
    xbsjModelWithPath_dashPattern: number;
    xbsjModelWithPath_hasArrow: boolean;
    xbsjModelWithPath_leadTime: number;
    xbsjModelWithPath_trailTime: number;
    xbsjModelWithPath_showOnlyWithPath: boolean | undefined;
    xbsjModelWithPath_pathUri: string | undefined;
    xbsjModelWithPath_offsetTime: number | undefined;
    xbsjTailFlame_angle: number | undefined;
    xbsjTailFlame_startRadius: number | undefined;
    xbsjTailFlame_endRadius: number | undefined;
    xbsjTailFlame_height: number | undefined;
    xbsjTailFlame_image: string | undefined;
    xbsjTailFlame_scale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
    xbsjTailFlame_maximumScale: number | undefined;
    xbsjTailFlame_localPosition: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
    xbsjTailFlame_localRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
    xbsjTailFlame_localScale: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
};
export declare namespace XbsjMissile {
    const createDefaultProps: () => {
        show: boolean | undefined;
        cameraTracked: boolean | undefined;
        cameraTracked_viewerDistance: number | undefined;
        cameraTracked_offsetRotation: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        allowPicking: boolean | undefined;
        playerId: string | undefined;
        startFlameTime: number | undefined;
        stopFlameTime: number | undefined;
        xbsjModelWithPath_uri: string | undefined;
        xbsjModelWithPath_minimumScale: number | undefined;
        xbsjModelWithPath_pixelSize: number | undefined;
        xbsjModelWithPath_originRatioAndOffset: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        xbsjModelWithPath_localPosition: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number] | undefined>;
        xbsjModelWithPath_color: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<[number, number, number, number] | undefined>;
        xbsjModelWithPath_depthTest: boolean | undefined;
        xbsjTailFlame_minimumScale: number | undefined;
        xbsjTailFlame_pixelSize: number | undefined;
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<import("vtxf-xe2/dist-node/xe2-base-utils").JsonValue>;
    };
}
export interface XbsjMissile extends ReactivePropsToNativePropsAndChanged<ReturnType<typeof XbsjMissile.createDefaultProps> & typeof extraComponentProps> {
}
declare type JsonType = PartialWithUndefinedReactivePropsToNativeProps<ReturnType<typeof XbsjMissile.createDefaultProps> & typeof extraComponentProps & {
    type: string;
}>;
export {};
